
//ŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻŻ
//	FILE	: Process.h
//	AUTHOR	: Catalin Cocos
//__________________________________________________________________________________________________

#ifndef __S2B_PROCESS__
#define __S2B_PROCESS__

extern HANDLE hProcessSemaphore;
extern HANDLE hStopSemaphore;

#define PROCESS_COLLECTIONS	0x01
#define PROCESS_SELECTION	0x02
#define PROCESS_ALL			0x03
#define BINEXTENSION ".xkz"

void Process(  int What );
void StopProcessing();

void AddTxt( const char* text);
void SetTxtProp( COLORREF clr = RGB(0, 255, 0), DWORD  effects = 0);


#endif